#include <bits/stdc++.h>
using namespace std;
long long n, q, niz[200005], x, y;

bool moguce(long long l, long long r){
   long long br=0;
   for(int i=l+1; i<=r; i++){
      if(niz[i]<niz[i-1]) br++;
   }
   if(br<=1) return true;
   else return false;
}

int main(){
   scanf("%lld", &n);
   for(int i=1; i<=n; i++){
      scanf("%lld", &niz[i]);
   }
   scanf("%lld", &q);
   for(int i=1; i<=q; i++){
      scanf("%lld", &x);
      scanf("%lld", &y);
      if(moguce(x, y)){
         printf("DA");
         printf("\n");
      }
      else{
         printf("NE");
         printf("\n");
      }
   }
   return 0;
}